# DataCatalog

## **EARLY RELEASE NOTICE**

This class represents a draft that is designed to inform the OpenActive specification work with implementation feedback. It is mostly stable, as it based entirely on schema.org. HOWEVER, IT IS STILL SUBJECT TO CHANGE, as the [Dataset API Discovery specification](https://openactive.io/dataset-api-discovery/EditorsDraft/) evolves.

This type is derived from <https://schema.org/DataCatalog>, which means that any of this type's properties within schema.org may also be used. Note however the properties on this page must be used in preference if a relevant property is available.

## **Properties**

### **Required properties**

| Property  | Expected Type                                                                   | Description                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                             |
| --------- | ------------------------------------------------------------------------------- | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| @type     | [`Text`](https://schema.org/Text)                                               | Must always be present and set to `"@type": "DataCatalog"`                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              |
| @id       | [`URL`](https://schema.org/URL)                                                 | <p>A unique URI-based identifier for the record.</p><p><code>@id</code> properties are used as identifiers for compatibility with JSON-LD. The value of such a property must always be an absolute URI that provides a stable globally unique identifier for the resource, as described in <a href="https://tools.ietf.org/html/rfc3986">RFC3986</a>.</p><p>The primary purpose of the URI format in this context is to provide natural namespacing for the identifier. Hence, the URI itself may not resolve to a valid endpoint, but must use a domain name controlled by the resource owner (the organisation responsible for the OpenActive open data feed).</p><p><br>Example</p><p><code>"@id": "<https://opendata.leisurecloud.live/api/datacatalog>"</code></p> |
| license   | [`URL`](https://schema.org/URL)                                                 | Must always be present and set to `"license": "https://creativecommons.org/licenses/by/4.0/"`                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                           |
| name      | [`Text`](https://schema.org/Text)                                               | <p>The name of the <code>DataCatalog</code></p><p><br>Example</p><p><code>"name": "Acme Leisure Sessions and Facilities"</code></p>                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                     |
| publisher | [`Organization`](https://developer.openactive.io/data-model/types/organization) | <p>The organization ultimately responsible for maintaining this <code>DataCatalog</code>.</p><p><br>Example</p><p><code>"publisher": {</code><br>  <code>"@type": "Organization",</code><br>  <code>"name": "Central Speedball Association",</code><br>  <code>"url": "<http://www.speedball-world.com>"</code><br><code>}</code></p>                                                                                                                                                                                                                                                                                                                                                                                                                                   |

### **Required options**

The `DataCatalog` must include either `hasPart` if it is a collection of smaller `DataCatalog`s, or `dataset` if it is a collection of dataset sites.

| Property | Expected Type                            | Description                                                                                                                                                                                                                                                                                                                                             |
| -------- | ---------------------------------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| hasPart  | Array of [`URL`](https://schema.org/URL) | <p>The URLs of each smaller <code>DataCatalog</code> within this <code>DataCatalog</code> collection.</p><p><br>Example</p><p><code>"hasPart": \[</code><br>  <code>"<https://opendata.leisurecloud.live/api/datacatalog>",</code><br>  <code>"<https://openactivedatacatalog.legendonlineservices.co.uk/api/DataCatalog>"</code><br><code>]</code></p> |
| dataset  | Array of [`URL`](https://schema.org/URL) | <p>The URLs of the dataset sites within this <code>DataCatalog</code>.</p><p><br>Example</p><p><code>"dataset": \[</code><br>  <code>"<https://opendata.exercise-anywhere.com/>",</code><br>  <code>"<https://www.participant.co.uk/participant/openactive/>"</code><br><code>]</code></p>                                                              |

### **Recommended properties**

| Property      | Expected Type                                                                                                                               | Description                                                                                                                                                                                           |
| ------------- | ------------------------------------------------------------------------------------------------------------------------------------------- | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| datePublished | <p><a href="https://schema.org/DateTime"><code>DateTime</code></a><br>- or -<br><a href="https://schema.org/Date"><code>Date</code></a></p> | <p>The date this <code>DataCatalog</code> was first published. Can be specified as a schema:Date or schema:DateTime.</p><p><br>Example</p><p><code>"datePublished": "2018-01-27T12:00:00Z"</code></p> |

### **Optional properties**

| Property     | Expected Type                             | Description                                                                                                                                 |
| ------------ | ----------------------------------------- | ------------------------------------------------------------------------------------------------------------------------------------------- |
| dateModified | [`DateTime`](https://schema.org/DateTime) | <p>The date this <code>DataCatalog</code> was last updated.</p><p><br>Example</p><p><code>"dateModified": "2018-01-27T12:00:00Z"</code></p> |

Except as otherwise noted, the content of this page is licensed under the [Creative Commons Attribution License (CC-BY V4.0)](https://creativecommons.org/licenses/by/4.0/), and code samples are licensed under the [MIT License](https://opensource.org/licenses/MIT), for anyone to access, use and share; using attribution "[OpenActive](https://www.openactive.io/)".


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.openactive.io/data-model/types/datacatalog.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
